%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jopr-embedded/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%global project_version 1.3.4.SP6

Name:           jopr-embedded
Version:        1.3.4
Release:        19.SP6.9%{?dist}
Summary:        Embedded Jopr
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.jboss.org/embjopr
#svn export https://svn.jboss.org/repos/embjopr/tags/EmbJopr_1_3_4_SP6/ EmbJopr_1_3_4_SP6
#Exported revision 1064.
#tar jcf EmbJopr_1_3_4_SP6.tar.bz2 EmbJopr_1_3_4_SP6/
Source0:        EmbJopr_1_3_4_SP6.tar.bz2
Source2:        %{name}-jpp-depmap.xml
Source11:       jopr-embedded-component-info.xml
# Remove @org.jetbrains.annotations.Nullable @org.jetbrains.annotations.NotNull from source
Patch1:         %{name}-no-jetbrains-annotations.patch
# Fix seam.version for EAP, comment exec-maven-plugin, i18nlog deps
Patch3:         %{name}-pom.patch
# Comment jboss-embedded-all thirdparty-all deps, just for test
Patch5:         %{name}-no-jboss-seam-embedded-for-test-pom.patch
# Fix bug https://jira.jboss.org/browse/JBPAPP-5276
#Patch6:         %{name}-core-BootstrapAction_java.patch

# Remove commented line: #default.header=${product.name}, it has different value in RHEL4/5 and RHEL6, weird.
Patch7:         %{name}-core-message_properties.patch
Patch8:         %{name}-core-pom.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  ant, ant-nodeps, ant-trax, ant-junit
BuildRequires:  maven2 >= 0:2.0.4-9
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-ejb
BuildRequires:  maven2-plugin-war
BuildRequires:  maven2-plugin-ear
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-scm
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-properties
BuildRequires:  mojo-maven2-plugin-buildnumber
BuildRequires: javassist
BuildRequires: hibernate3
BuildRequires: hibernate3-ejb-persistence-3.0-api
BuildRequires: hibernate3-annotations
BuildRequires: hibernate3-validator
BuildRequires: glassfish-jsf
BuildRequires: jakarta-commons-el
BuildRequires: jakarta-commons-discovery
BuildRequires: richfaces-framework
BuildRequires: richfaces-ui
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-discovery
BuildRequires: jdom = 1.1.1
BuildRequires: jsp_2_1_api
BuildRequires: servlet_2_5_api
BuildRequires: glassfish-jaxb

BuildRequires: codehaus-stax-api
BuildRequires: testng
BuildRequires: regexp
BuildRequires: hsqldb
BuildRequires: slf4j
BuildRequires:  glassfish-jsf
BuildRequires:  el_1_0_api
BuildRequires: bsh2
BuildRequires:  jboss-parent
BuildRequires:  jboss-el
BuildRequires:  jboss-deployers
BuildRequires:  jboss-transaction-1.0.1-api
BuildRequires:  objectweb-asm

BuildRequires:  hornetq-jopr-plugin
BuildRequires:  jopr-hibernate-plugin
BuildRequires:  jopr-tomcat-plugin
BuildRequires:  jopr-jboss-as-plugin
BuildRequires:  jopr-jboss-as-5-plugin
BuildRequires:  jopr-jboss-cache-v3-plugin
BuildRequires:  rhq-common-parent
BuildRequires:  rhq-core-domain
BuildRequires:  rhq-core-parent
BuildRequires:  rhq-core-util
BuildRequires:  rhq-modules-parent
BuildRequires:  rhq-core-client-api
BuildRequires:  rhq-core-gui
BuildRequires:  rhq-core-plugin-api
BuildRequires:  rhq-jboss-as-common
BuildRequires:  rhq-parent
BuildRequires:  rhq-core-comm-api
BuildRequires:  rhq-core-native-system
BuildRequires:  rhq-core-plugin-container
BuildRequires:  rhq-plugins-parent
BuildRequires:  rhq-jmx-plugin
BuildRequires:  rhq-platform-plugin
BuildRequires:  jboss-seam2-runtime
BuildRequires:  i18nlog
BuildRequires:  xpp3-minimal >= 0:1.1.3.4
# FIXME  JBPAPP-4966  gwt-user.jar must be removed from EmbJopr POM
BuildRequires:  gwt

BuildRequires:  zip

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

Requires: javassist
Requires:  hibernate3
Requires: hibernate3-ejb-persistence-3.0-api
Requires: hibernate3-annotations
Requires: hibernate3-validator
Requires: glassfish-jsf
Requires: jakarta-commons-el
Requires: richfaces-framework
Requires: richfaces-ui
Requires: jakarta-commons-codec
Requires: jakarta-commons-discovery
Requires: jsp_2_1_api
Requires: servlet_2_5_api
Requires: glassfish-jaxb

Requires: codehaus-stax-api
# for unit test
#Requires: testng
Requires: regexp
Requires: jakarta-commons-discovery
Requires: jakarta-commons-el
Requires: hsqldb
Requires: slf4j
Requires:  glassfish-jsf
Requires:  el_1_0_api
Requires: bsh2

Requires:  jboss-parent
Requires:  jboss-el
Requires:  jboss-deployers
Requires:  jboss-transaction-1.0.1-api
Requires:  objectweb-asm

#Plugins are build indepedently, are picked individually and used if it 
# makes sense in the context the jopr console is being used
#Requires:  hornetq-jopr-plugin
#Requires:  jopr-hibernate-plugin
#Requires:  jopr-tomcat-plugin
#Requires:  jopr-jboss-as-plugin
#Requires:  jopr-jboss-as-5-plugin
#Requires:  jopr-jboss-cache-v3-plugin
#Requires:  rhq-platform-plugin
#Requires:  rhq-jmx-plugin

%description
Embedded Jopr is a web-based application for managing & monitoring 
an instance of JBoss Application Server.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%if %with repolib
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n EmbJopr_1_3_4_SP6
%patch3 -b .sav
%patch5 -b .sav
#%%patch6 -b .sav
%patch7 -p0
%patch8 -p1

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
pushd $MAVEN_REPO_LOCAL
#tar zxf %{SOURCE1}
#%patch0 -b .sav
#%patch2 -b .sav
#%patch4 -b .sav

#tar zxf %{SOURCE3}
popd

%patch1 -p1 -b .sav

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

#FIXME: no maven-surefire-testng, skip tests
%{_bindir}/mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.skip=true \
        -Daggregate=true \
        dependency:tree install javadoc:javadoc
%install
rm -rf %{buildroot}

# FIXME this should be done by the build assembly
# Remove versions from JAR names in WEB-INF/lib directories
# These were the original versions specified, not the ones actually used!
remove_versions() {
  for jar in \
    commons-beanutils \
    commons-codec \
    commons-collections \
    commons-digester \
    commons-discovery \
    gwt-user \
    i18nlog \
    jboss-el \
    jboss-seam-debug \
    jboss-seam-ui \
    jboss-seam \
    org.jboss.seam-jboss-seam \
    jdom \
    jopr-embedded-core \
    jsf-facelets \
    rhq-core-client-api \
    rhq-core-comm-api \
    rhq-core-domain \
    rhq-core-gui \
    rhq-core-native-system \
    rhq-core-plugin-api \
    rhq-core-plugin-container \
    rhq-core-util \
    rhq-jmx-plugin \
    rhq-platform-plugin \
    jopr-jboss-as-plugin \
    jopr-jboss-as-5-plugin \
    jopr-hibernate-plugin \
    jopr-jboss-cache-plugin \
    hornetq-jopr-plugin \
    richfaces-api \
    richfaces-impl \
    richfaces-ui \
  ; do

    [ -f ${jar}-[0-9]*.jar ] && mv -f ${jar}-[0-9]*.jar ${jar}.jar ;

    # link to jar of /usr/share/java if existed
    #for i in `find /usr/share/java -name "${jar}.jar"`; do
    #    rm -f ${jar}.jar
    #    ln -sf $i ${jar}.jar
    #done

  done

  if [ -f org.jboss.seam-jboss-seam.jar ]; then
    mv -f org.jboss.seam-jboss-seam.jar jboss-seam.jar
  fi

  # JBPAPP-4966
  if [ -f gwt-user.jar ]; then
    rm -f gwt-user.jar
  fi

  ls -l

  # unsign the jars
  find . -name '*.jar' -print0 | xargs -0 -I JAR zip -d JAR META-INF/JBOSSCOD.* || :

  ls -l
}

# Remove versions from JAR names in WEB-INF/lib of WARs
warpath=$(pwd)/core/target/jopr-embedded-core-%{project_version}.war
mkdir temp
pushd temp
unzip $warpath
pushd WEB-INF/lib
remove_versions
popd
pushd plugins
remove_versions
popd
rm -f $warpath
zip -q -9 -r $warpath *
popd
rm -rf temp

#warpath=$(pwd)/jbas4/target/admin-console.war
#mkdir temp
#pushd temp
#unzip $warpath
#pushd WEB-INF/lib
#remove_versions
#popd
#rm -f $warpath
#zip -q -9 -r $warpath *
#popd
#rm -rf temp

warpath=$(pwd)/jbas5/target/admin-console.war
mkdir temp
pushd temp
unzip $warpath
pushd WEB-INF/lib
remove_versions
# FIXME  *** HACK ***  Copy jboss-el.jar here, needed for Seam, MIA
cp %{_javadir}/jboss-el.jar .
popd
pushd plugins
remove_versions
popd
rm -f $warpath
zip -q -9 -r $warpath *
popd
rm -rf temp

# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -p -m 644 core/target/jopr-embedded-core-%{project_version}/WEB-INF/lib/jopr-embedded-core-%{project_version}.jar %{buildroot}%{_javadir}/%{name}/jopr-embedded-core-%{project_version}.jar
install -p -m 644 core/target/jopr-embedded-core-%{project_version}.war %{buildroot}%{_javadir}/%{name}/jopr-embedded-core-%{project_version}.war
#install -p -m 644 jbas4/target/admin-console.war %{buildroot}%{_javadir}/%{name}/jopr-embedded-jbas4-%{project_version}.war
install -p -m 644 jbas5/target/admin-console.war %{buildroot}%{_javadir}/%{name}/jopr-embedded-jbas5-%{project_version}.war
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{project_version}.?ar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{project_version}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms/
install -p -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-parent.pom
%add_to_maven_depmap org.jboss.jopr jopr-embedded-parent %{version} JPP/%{name} jopr-embedded-parent
install -p -m 644 core/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-core.pom
%add_to_maven_depmap org.jboss.jopr jopr-embedded-core %{version} JPP/%{name} jopr-embedded-core
#install -p -m 644 jbas4/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas4.pom
#%add_to_maven_depmap org.jboss.jopr jopr-embedded-jbas4 %{version} JPP/%{name} jopr-embedded-jbas4
install -p -m 644 jbas5/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas5.pom
%add_to_maven_depmap org.jboss.jopr jopr-embedded-jbas5 %{version} JPP/%{name} jopr-embedded-jbas5

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{project_version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{project_version}
ln -s %{name}-%{project_version} %{buildroot}%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
#%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE11} %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
#%{__cp} -p %{SOURCE1} %{buildroot}%{repodirsrc}
#%{__cp} -p %{SOURCE2} %{buildroot}%{repodirsrc}
#%{__cp} -p %{SOURCE3} %{buildroot}%{repodirsrc}
#%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH1} %{buildroot}%{repodirsrc}
#%{__cp} -p %{PATCH2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH3} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH5} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/%{name}/%{name}-core.war %{buildroot}%{repodirlib}/jopr-embedded-core.war
#%{__cp} -p %{buildroot}%{_javadir}/%{name}/jopr-embedded-jbas4.war %{buildroot}%{repodirlib}/jopr-embedded-jbas4.war
%{__cp} -p %{buildroot}%{_javadir}/%{name}/jopr-embedded-jbas5.war %{buildroot}%{repodirlib}/jopr-embedded-jbas5.war
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{name}-parent.pom %{buildroot}%{repodirlib}/jopr-embedded-parent.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-core.pom %{buildroot}%{repodirlib}/jopr-embedded-core.pom
#%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas5.pom %{buildroot}%{repodirlib}/jopr-embedded-jbas4.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas5.pom %{buildroot}%{repodirlib}/jopr-embedded-jbas5.pom

    pushd %{buildroot}%{repodir}
      mvn deploy:deploy-file -Dfile=lib/jopr-embedded-parent.pom -DgroupId=org.jboss.jopr -DartifactId=jopr-embedded-parent -Dversion=%{project_version} -Dpackaging=pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
      mvn deploy:deploy-file -DpomFile=lib/jopr-embedded-core.pom -Dfile=lib/jopr-embedded-core.war -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
      mvn deploy:deploy-file -DpomFile=lib/jopr-embedded-jbas5.pom -Dfile=lib/jopr-embedded-jbas5.war -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
    popd
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/jopr-embedded-core-%{project_version}.jar
%{_javadir}*/%{name}/jopr-embedded-core.jar
#%{_javadir}/%{name}/jopr-embedded-jbas4-%{project_version}.war
#%{_javadir}/%{name}/jopr-embedded-jbas4.war
%{_javadir}*/%{name}/jopr-embedded-jbas5-%{project_version}.war
%{_javadir}*/%{name}/jopr-embedded-jbas5.war
%{_javadir}*/%{name}/jopr-embedded-core-%{project_version}.war
%{_javadir}*/%{name}/jopr-embedded-core.war
#%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas4.pom
%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-jbas5.pom
%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-jopr-embedded-parent.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{project_version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jan 11 2013 Hui Wang <huwang@redhat.com> 0:1.3.4-19.SP6.9
- Rebuild for EAP 5.2.0.ER6

* Thu Nov 15 2012 Permaine Cheung <pcheung@redhat.com> 0:1.3.4-19.SP6.8
- Rebuild

* Tue Nov 06 2012 Hui Wang <huwang@redhat.com> 0:1.3.4-19.SP6.7
- Rebuild

* Mon Nov 05 2012 Hui Wang <huwang@redhat.com> 0:1.3.4-19.SP6.6
- Rebuild for EAP 5.2.0.ER4

* Wed Sep 05 2012 Hui Wang <huwang@redhat.com> 0:1.3.4-19.SP6.5
- Rebuild to get latest jboss-seam2

* Fri Aug 24 2012 Martha Benitez <mbenitez@redhat.com> 0:1.3.4-19.SP6.4
- Rebuild to get latest jboss-seam2

* Wed Aug 22 2012 Martha Benitez <mbenitez@redhat.com> 0:1.3.4-19.SP6.3
- Rebuild to get jdom from EAP5

* Tue Aug 21 2012 Martha Benitez <mbenitez@redhat.com> 0:1.3.4-19.SP6.2
- Rebuild

* Mon Aug 13 2012 Yong Yang <yyang@redhat.com> 0:1.3.4-19.SP6.1
- Upgrade to 1.3.4.SP6

* Mon Nov 7 2011 Danesh Mondegarian <dmondega@redhat.com> 0:1.3.4-18.SP5.8
- Rebuild

* Fri Oct 28 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.7
- Fix removeVersion() for jopr-jboss-cache-plugin

* Thu Oct 27 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.6
- Rebuild to get latest builds
- Patch jbas5/pom.xml because of change of artifactId name for jopr-jboss-cache-plugin
- Was jopr-jboss-cache-v3-plugin before

* Mon Oct 17 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.5
- Rebuild to get latest jboss-seam2
- JBPAPP-7372 Fix buildNumber value

* Mon Sep 12 2011 Martha Benitez <mbenitez@redhat.com> 0:1.3.4-18.SP5.4
- Rebuild to get newest jboss-seam2
 
* Tue Aug 30 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.3
- Rebuild for rhq 

* Mon Aug 29 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.2
- Rebuild for rhq

* Tue Aug 22 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:1.3.4-18.SP5.1
- Upgrade to 1.3.4.SP5

* Fri Aug 05 2011 Tom Hauser <thauser@redhat.com> 0:1.3.4-17.SP4.11
- (Another) rebuild for a new plugin
 
* Fri Aug 05 2011 Tom Hauser <thauser@redhat.com> 0:1.3.4-17.SP4.10
- Rebuild for new rhq-jmx-plugin

* Thu Aug 04 2011 Tom Hauser <thauser@redhat.com> 0:1.3.4-17.SP4.9
- Rebuild for JBPAPP-6676

* Tue May 17 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.8
- Rebuild for MANIFEST.MF first in some plugins

* Fri May 13 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.7
- Rebuild for new Seam JARs

* Fri May 06 2011 Yong Yang <yyang@redhat.com> 0:1.3.4-17.SP4.6
- Add %{name}-core-message_properties.patch

* Wed May 04 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.5
- Rebuild for new jopr plugin

* Fri Apr 29 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.4
- Rebuild for new jopr plugins

* Mon Apr 11 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.3
- Rebuild for new jboss-seam-ui.jar

* Mon Apr 11 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-17.SP4.2
- Rebuild using codehaus-stax-api not codehaus-stax11-api

* Mon Feb 21 2011 Yong Yang <yyang@redhat.com> 0:1.3.4-17.SP4.1
- Upgrade to 1.3.4.SP4

* Mon Feb 14 2011 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP3.7
- Deploy pom and jars in repolib creation section

* Mon Feb 14 2011 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP3.6
- Remove Patch7 because rhq has been updated to fix hibernate dependency

* Tue Feb 01 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-16.SP3.5
- ANother exclusion for hibernate bits

* Tue Feb 01 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-16.SP3.4
- FIXME: Temporary workaround to messy rhq POMs that bring unwanted
  Hibernate dependencies and their dependencies (we add exclusions here)

* Tue Feb 01 2011 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-16.SP3.3
- Add dependency:tree

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP3.2
- Rebuild for MEAD upload

* Wed Dec 15 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP3.1
- Upgrade to 1.3.4.SP3
- Remove patch6 which has been integrated into project source

* Tue Dec 14 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.8
- Build with maven 2.2.1
- Add BR xpp3-minimal

* Thu Oct 28 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.7
- Add patch6 to fix JBPAPP-5276

* Mon Oct 11 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.6
- Add comment for patchs

* Tue Sep 14 2010 Fernando Nasser <fnasser@redhat.com> - 0:1.3.4-16.SP1.5
- Add manually the jboss-el.jar that is missing from the WAR file
  used by jbossas until it is fixed in the sources

* Thu Sep 09 2010 Fernando Nasser <fnasser@redhat.com> - 0:1.3.4-16.SP1.4
- Remove version from i18nlog JAR file

* Wed Sep 08 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.3
- (B)R: i18nlog

* Wed Sep 08 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.2
- Remove jboss-seam2.tar.gz, BR:  jboss-seam2-runtime

* Mon Sep 06 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-16.SP1.1
- Build with rhq package

* Mon Aug 30 2010 Fernando Nasser <fnasser@redhat.com> - 0:1.3.4-15.SP1.8
- JBPAPP-4966 - Do not include gwt-user.jar, not really needed
- Do not require gwt as dependency

* Fri Aug 27 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.3.4-15.SP1.7
- Rebuild

* Thu Aug 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.3.4-15.SP1.6
- Fix javadoc symlink version

* Thu Aug 26 2010 Permaine Cheung <pcheung@redhat.com> 0:1.3.4-15.SP1.5
- Remove R: testng and other plugins
- Update R: on jsp api

* Wed Aug 25 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-15.SP1.4
- B(R) rhq-jmx-plugin specifically

* Tue Aug 24 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-15.SP1.3
- Make sure versions are removed from WAR plugins

* Mon Aug 23 2010 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-15.SP1.2
- Make sure JARs are unsigned -- the maven repo needs then unsigned and
  the jbossas build signs the console JARs now
- Do not link, as they are not portable to non-RHEL systems
- Remove versions from plugin as well

* Mon Aug 23 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-15.SP1.1
- Upgrade to 1.3.4.SP1

* Mon Aug 16 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-14.GA.2
- Try to use symlink in WAR lib for those jars installed in /usr/share/java

* Thu Aug 12 2010 Yong Yang <yyang@redhat.com> 0:1.3.4-14.GA.1
- Upgrade to 1.3.4.GA
- Remove jbas4 because it is commented in pom.xml
- BR jopr/rhq plugins

* Tue Aug 10 2010 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-13.CR1.6
- Sign JARs inside .war

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-13.CR1.5
- rename jboss-seam jar
- add call to dependency:tree

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-13.CR1.4
- rebuild

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-13.CR1.3
- rebuild for jboss-el

* Wed Jul 28 2010 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-13.CR1.2
- Create patch for jboss-seam due to mismatch of versions

* Wed Jul 28 2010 Fernando Nasser <fnasser@redhat.com> 0:1.3.4-13.CR1.1
- Fix release tag

* Wed Jul 28 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-13.CR1
- (Build)Requires: jboss-el
- BuildRequires: zip

* Wed Jul 28 2010 Yong Yang <yyang@redhat.com> - 1.3.4-12.CR1
- Fix remove_versions

* Wed Jul 28 2010 Yong Yang <yyang@redhat.com> - 1.3.4-11.CR1
- Remove version from jar filenames in WEB-INF/lib

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-10.CR1
- add jopr-embedded-core.jar
- update License

* Fri Jul 23 2010 David Walluck <dwalluck@redhat.com> 0:1.3.4-9.CR1
- add repolib
- aggregate javadocs
- fix pom names and depmap entries
- fix jar symlinks
- add Requires(post) and Requires(postun) for maven2 support

* Mon Jul 19 2010 Yong Yang <yyang@redhat.com> - 1.3.4-8.CR1
- Re-package jboss-seam2, use jars downloaded from maven2-brew

* Tue Jul 06 2010 Yong Yang <yyang@redhat.com> - 1.3.4-7.CR1
- BR hornetq-jopr-plugin, remove hornetq binary tar ball

* Mon Jul 05 2010 Yong Yang <yyang@redhat.com> - 1.3.4-6.CR1
- Add missing Requires

* Thu Jul 01 2010 Yong Yang <yyang@redhat.com> - 1.3.4-5.CR1
- Create a patch to remove sigar binary

* Wed Jun 30 2010 Yong Yang <yyang@redhat.com> - 1.3.4-4.CR1
- Create a patch to remove jetbrains-annotations

* Tue Jun 29 2010 Yong Yang <yyang@redhat.com> - 1.3.4-3.CR1
- Switch to use jbossweb/jasper-el instead of el-impl

* Mon Jun 28 2010 Yong Yang <yyang@redhat.com> - 1.3.4-2.CR1
- Remove jboss-el binary, replace by el-impl

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> - 1.3.4-1.CR1
- Initial build
